import cv2

ESC = 27
cap = cv2.VideoCapture('images/YouTube.mp4')

while cap.isOpened():
    ret, frame = cap.read()
    
    if not ret:
        print('影片播放完畢')
        break
    cv2.imshow('frame', frame)

    if cv2.waitKey(1) == ESC:
        break

cap.release()
cv2.destroyAllWindows()